﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.MVC.EJ;
using Syncfusion.JavaScript.DataVisualization.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            int serCount = 2;
            ChartProperties chartModel = new ChartProperties();
            InitializeChart(chartModel, serCount);
            ViewData["ChartModel"] = chartModel; 
            return View();
        }

        private void InitializeChart(ChartProperties chartModel, int serCount)
        {
           
           for (int i = 0; i < serCount; i++)
            {
                Series series = new Series();
                series.Type = Syncfusion.JavaScript.DataVisualization.SeriesType.Column;
                Points pt = new Points();
                Points pt2 = new Points();
                pt.X = "a";
                pt.Y = 50 + (i*20);
                pt2.X = "b";
                pt2.Y = 80 + (i * 20);
                series.Points.Add(pt);
                series.Points.Add(pt2);
                chartModel.Series.Add(series);
            }
            
        }

       

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
